<?php
class BodoiBridge extends FeedExpander {

	const MAINTAINER = 'Yan';
	const NAME = 'Bodoi Bridge';
	const URI = 'http://www.bodoi.info/';
	const DESCRIPTION = 'Returns the newest articles.';

	protected function parseItem($item){
		$item = parent::parseItem($item);

		$article_html = getSimpleHTMLDOMCached($item['uri']);
		if(!$article_html) {
			$item['content'] = 'Could not request Bodoi: ' . $item['uri'];
			return $item;
		}

		$article_image = '';
		foreach ($article_html->find('div.couvbd>img') as $img) {
			if ($img->alt == $item['title']) {
				$article_image = self::URI . $img->src;
				break;
			}
		}

		$article_content = '';
		if ($article_image) {
			$article_content = '<p><img src="' . $article_image . '" /></p>';
		}
		$article_content .= str_replace(
			'src="/', 'src="' . self::URI,
			$article_html->find('div.blogcontent', 0)->innertext
		);
		
		$article_content = stripWithDelimiters($article_content, '<div class="infobdcadre">', '_bdfugue_logo.png" class="mid"></a>  				    	 			 	  			 			 			</div>');
		$article_content = stripWithDelimiters($article_content, '<div class="tagcloud">', '</a></div>');
		$article_content = stripWithDelimiters($article_content, '<script', '</script>');


		$item['content'] = $article_content;

		return $item;
	}

	public function collectData(){
		$feedUrl = self::URI . '/feed/';
		$this->collectExpandableDatas($feedUrl);
	}
}
